#### D.4.25.31 mons2intmat

Procedure from library `normaliz.lib` (see normaliz_lib).

Usage:
  mons2intmat(ideal I);

Return:
  Returns the intmat whose rows represent the leading exponents of the (non-zero) elements of I. The length of each row is nvars(basering).

Example:

    LIB "normaliz.lib";
    ring R=0,(x,y,z),dp;
    ideal I=x2,y2,x2yz3;
    mons2intmat(I);
    ==> 2,0,0,
    ==> 0,2,0,
    ==> 2,1,3

See also: intmat2mons.

User manual for Singular version 4.4.1, 2025, generated by texi2html.